Subject: bug#38775: (kbd "C-x ( ... C-x )") gulps "C-x (" and "C-x )"

From: Kritixi Lithos <[email-masked]>
Date: Sat, 28 Dec 2019 21:36:34 +0200

> That's because kbd is just a wrapper around read-kbd-macro.

Ah, intended behaviour then, read-kbd-macro's help file documents this
so that resolves the issue. Thank you all for your swift replies.

So how would you solve the original problem of calling emacs
keystrokes with potential keyboard macros inside them?
`command-execute` appears to use `execute-kbd-macro` according to the
source, so trying `command-execute` on each keystroke does not work as
intended with `C-x ( ... C-x )` among the commands.